<h1 align="center">
  <br>
  <a href="https://github.com/MayankPandey01/Jira-Lens/"><img width="750" height="250" src="https://user-images.githubusercontent.com/29165227/141689309-961fa172-5c15-4476-bd84-1c80899a98dc.png"></a>
</h1>

<h4 align="center">Fast and customizable vulnerability scanner For JIRA.</h4>

<p align="center">
<a href="https://www.python.org/"><img src="https://img.shields.io/badge/Made%20with-Python-1f425f.svg"></a>
<a href="https://github.com/MayankPandey01/Jira-Lens/issues"><img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square"></a>
<a href="https://pypi.org/project/Jira-Lens/"><img src="https://img.shields.io/pypi/v/Jira-Lens"></a>
<a href="https://twitter.com/mayank_pandey01"><img src="https://img.shields.io/twitter/follow/mayank_pandey01?style=social"></a>
<a href="https://pypi.org/project/Jira-Lens/"><img src="https://img.shields.io/pypi/pyversions/Jira-Lens"></a>
<a href="https://pypi.python.org/pypi/ansicolortags/"><img src="https://img.shields.io/pypi/l/ansicolortags.svg"></a>
<a href="https://pypi.org/project/Jira-Lens/"><img src="https://pepy.tech/badge/Jira-Lens/month"></a>
<a href="https://github.com/MayankPandey01/Jira-Lens"><img src="https://badge.fury.io/gh/Naereen%2FStrapDown.js.svg"></a>
<a href="https://github.com/ellerbrock/open-source-badges/"><img src="https://badges.frapsoft.com/os/v1/open-source.svg?v=103"></a>  
</p>




# 🤔 What is this?

Jira-Lens 🔍 is a Python Based vulnerability Scanner for JIRA. 
Jira is a proprietary issue tracking product developed by Atlassian that allows bug tracking and agile project management. 
This tool Performs 25+ Checks including CVE's and Multiple Disclosures on the Provided JIRA Instance.

# 🚀 Usage
Jira-Lens can be easily  used from the command line 
- Complete the setup using `python3 setup.py install`
- `python3 Jira-Lens.py -u {URL}`

![render1636911439843](https://user-images.githubusercontent.com/29165227/141692149-7b68504e-410d-43a5-b20e-d8c9963d260d.gif)

 Additional Arguments can be passed to use tool in different way:
 
 - `-u` : To Provide a Single URL of JIRA Instance for Testing
 - `-f` : Path of File Containing List of URL's of JIRA Instance, properly Formatted and 1 url par Line
 - `-o` : To Provide a Custom Output Folder Location [ **default= output/**]
 


# 🔧Installation

## 🔨 Using pip

```$ pip install Jira-Lens```

## 🔨 Using Git
- ` git clone https://github.com/MayankPandey01/Jira-Lens.git`
- After Installation run the `setup.py` file to set up the tool.

## 🧪 Recommended Python Version:
- This Tool Only Supports Python 3.
- The recommended version for Python 3 is 3.8.x.

## ⛳ Dependencies:

The dependencies can be installed using the requirements file:

Installation on Windows:  ![](https://camo.githubusercontent.com/920e3f8eb007a3834e641d27fddb9c102da3fd0c619785b52efb4dabcef2da1c/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f776f726b666c6f772f7374617475732f6369706865792f6369706865792f507974686f6e2532306170706c69636174696f6e3f6c6162656c3d57696e646f7773)
- python.exe -m pip3 install -r requirements.txt.

Installation on Linux: ![](https://camo.githubusercontent.com/973cbf24b31b5d10c7f8d4f65fda4c696de8d3bed0923536820f9ac262b8ad08/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f776f726b666c6f772f7374617475732f6369706865792f6369706865792f507974686f6e2532306170706c69636174696f6e3f6c6162656c3d4c696e7578)
- sudo python3 pip3 install -r requirements.txt.


## 🐞 Bug Bounties

This tool is focused mainly on `Bug Bounty Hunters` and `Security Professionals` . You Can Use Jira-Lens to Scan JIRA Instance of the Target Company. 

**Why Use This ❓**
- It Provides a Detailed output After the Scan is Completed With all the Findings.
- Take Inputs From File To Scan Multiple Instance
- Fast and Easy to Setup   ⚡
- Can Be Added Directly To Your Automation Scripts 
- Regularly Updated Scanning Database

 



## 🎯 Contribution ![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)
We Love to Get Contribution from the Open Source Community💙. You are Welcome to Provide your Important Suggestions to make this tool more Awesome. Open a PR  and we will See to it ASAP.

**Ways to contribute**
- Suggest a feature
- Adding CVE's and Disclosures Check
- Report a bug
- Fix something and open a pull request
- Create a browser extension
- Help me document the code
- Spread the word

## 📚 DISCLAIMER

This project is a [personal development](https://en.wikipedia.org/wiki/Personal_development). Please respect its philosophy and don't use it for evil purposes. By using Jira-Lens, you agree to the MIT license included in the repository. For more details at [The MIT License &mdash; OpenSource](https://opensource.org/licenses/MIT).

Using Jira-Lens for attacking targets without prior mutual consent is illegal. It is the end user's responsibility to obey all applicable local, state, and federal laws. Developers assume no liability and are not responsible for any misuse or damage caused by this program.
Happy Hacking ✨✨

## 📃 Licensing

This project is licensed under the MIT license.










